> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get datasets the user has access to

> Get Datasets that a user has access to based on dataset permissions and input filters



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/datasetrw/v2/datasets
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/datasetrw/v2/datasets:
    get:
      tags:
        - Datasets
      summary: Get datasets the user has access to
      description: >-
        Get Datasets that a user has access to based on dataset permissions and
        input filters
      operationId: getDatasetsV2
      parameters:
        - description: >-
            Filter for minimum dataset permission the principal needs to have in
            returned datasets.
          in: query
          name: minimumPermission
          required: false
          schema:
            $ref: '#/components/schemas/DatasetRwPermissionV1'
        - description: ProjectIds of datasets to exclude from result.
          in: query
          name: projectIdsToExclude
          required: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            ProjectIds to get the datasets from. Should not be passed in if
            projectIdsToExclude is and vice versa.
          in: query
          name: projectIdsToInclude
          required: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Boolean to determine whether or not to return project-info in return
            objects.
          in: query
          name: includeProjectInfo
          required: false
          schema:
            type: boolean
        - description: >-
            If false, exclude Datasets that belong to archived projects.
            Defaults to true for backward compatibility.
          in: query
          name: includeArchivedProjects
          required: false
          schema:
            type: boolean
        - description: How many Datasets from the start to skip. Defaults to 0.
          in: query
          name: offset
          required: false
          schema:
            type: integer
        - description: Max number of Datasets to fetch. Defaults to 10.
          in: query
          name: limit
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedDatasetRwEnvelopeV2'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    DatasetRwPermissionV1:
      description: Permission within a dataset
      enum:
        - DeleteDatasetRwV2
        - EditPropertyValuesDatasetRwV2
        - EditSecurityDatasetRwV2
        - EditTaxonomyTagsDatasetRwV2
        - ListDatasetRwV2
        - PerformDatasetRwActionsInProjectV2
        - PermanentDeleteDatasetRwV2
        - ReadDatasetRwV2
        - UpdateDatasetRwV2
        - PerformDatasetRwActionsAsAdminV2
      type: string
    PaginatedDatasetRwEnvelopeV2:
      properties:
        datasets:
          items:
            $ref: '#/components/schemas/DatasetRwInfoDtoV1'
          type: array
        metadata:
          $ref: '#/components/schemas/PaginatedMetadataV1'
      required:
        - datasets
        - metadata
      type: object
    DatasetRwInfoDtoV1:
      properties:
        dataset:
          $ref: '#/components/schemas/DatasetRwDetailsV1'
        projectInfo:
          $ref: '#/components/schemas/DatasetRwProjectInfoDtoV1'
      required:
        - dataset
      type: object
    PaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/PaginationV1'
      required:
        - pagination
        - requestId
        - notices
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    DatasetRwDetailsV1:
      properties:
        createdAt:
          description: When the dataset was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        description:
          description: A description of the dataset
          type: string
        id:
          description: ID of the dataset
          example: 62313ce67a0af0281c01a6a5
          type: string
        name:
          description: Name of the dataset
          example: My Dataset
          type: string
        projectId:
          description: ID of the project this dataset belongs to
          example: 62313ce67a0af0281c01a6a5
          type: string
        snapshotIds:
          description: List of snapshot IDs belonging to this dataset
          items:
            type: string
          type: array
        tags:
          $ref: '#/components/schemas/DatasetRwTagsV1'
      required:
        - id
        - name
        - createdAt
        - snapshotIds
        - tags
      type: object
    DatasetRwProjectInfoDtoV1:
      properties:
        projectId:
          description: ID of the project this dataset belongs to
          type: string
        projectName:
          description: Name of the project this dataset belongs to
          type: string
        projectOwnerUsername:
          description: Username of the project's owner
          type: string
      required:
        - projectId
        - projectName
        - projectOwnerUsername
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    PaginationV1:
      properties:
        limit:
          description: Max number of objects returned
          type: integer
        offset:
          description: Number of object skipped forward from start of objects
          type: integer
        totalCount:
          description: Total number of available objects
          type: integer
      required:
        - offset
        - limit
      type: object
    DatasetRwTagsV1:
      additionalProperties:
        type: string
      description: A map of tagName -> snapshotId
      example:
        bar: 62313ce67a0af0281c01a6a5
        foo: 62313ce67a0af0281c01a6a5
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Deprecated - Get datasets accessible to user](/6.3/api-reference/datasets/deprecated--get-datasets-accessible-to-user.md)
- [Get all active Data Source the user has access to](/6.3/api-reference/data-sources/get-all-active-data-source-the-user-has-access-to.md)
- [Get git credential accessor for a User](/6.3/api-reference/users-and-organizations/get-git-credential-accessor-for-a-user.md)
- [Get all organizations. Only accessible to admin users.](/6.3/api-reference/users-and-organizations/get-all-organizations-only-accessible-to-admin-users.md)
